Bug 23737 - HTMLMediaElement should encapsulate more of the logic needed by default controller
: HTMLMediaElement should encapsulate more of the logic needed by default contr...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 12:57 PST by Eric Carlson
Modified: 2009-03-02 11:51 PST (History)
0 users

See Also:


Attachments
proposed patch (8.35 KB, patch)
2009-02-04 13:48 PST, Eric Carlson
koivisto: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2009-02-04 12:57:05 PST
Too much HTMLMediaElement internal state and logic is needed by MediaControlElements and RenderMedia to implement the default media controls. The media element should offer higher level methods to keep this state internal so it will be easier to change the logic when we update to the current spec.
Comment 1 Eric Carlson 2009-02-04 13:48:28 PST
Created attachment 27324 [details]
proposed patch
Comment 2 Antti Koivisto 2009-02-09 09:43:13 PST
Comment on attachment 27324 [details]
proposed patch

r=me

> +    if (m_pausedInternal) {
> +        setPausedInternal(false);
> +    }

No need for {}
Comment 3 Eric Carlson 2009-02-09 11:50:37 PST
Committed revision 40789